Mailing List Archive

svn commit: r1885628 - in /httpd/httpd/branches/2.4.x: ./ .travis.yml test/travis_run_linux.sh
Author: ylavic
Date: Sun Jan 17 22:46:45 2021
New Revision: 1885628

URL: http://svn.apache.org/viewvc?rev=1885628&view=rev
Log:
Merge r1884306, r1885626 from trunk:

ci: generate as many core files as there are crashes.


Get Lua dev package from liblua5.3-dev.

Call sysctl though sudo.

Modified:
httpd/httpd/branches/2.4.x/ (props changed)
httpd/httpd/branches/2.4.x/.travis.yml
httpd/httpd/branches/2.4.x/test/travis_run_linux.sh

Propchange: httpd/httpd/branches/2.4.x/
------------------------------------------------------------------------------
Merged /httpd/httpd/trunk:r1884306,1885626

Modified: httpd/httpd/branches/2.4.x/.travis.yml
URL: http://svn.apache.org/viewvc/httpd/httpd/branches/2.4.x/.travis.yml?rev=1885628&r1=1885627&r2=1885628&view=diff
==============================================================================
--- httpd/httpd/branches/2.4.x/.travis.yml (original)
+++ httpd/httpd/branches/2.4.x/.travis.yml Sun Jan 17 22:46:45 2021
@@ -19,7 +19,7 @@ addons:
- libapr1-dev
- libaprutil1-dev
- perl-doc
- - lua5.3-dev
+ - liblua5.3-dev
- libbrotli-dev
- libcurl4-openssl-dev
- libsystemd-dev
@@ -136,7 +136,7 @@ jobs:
- libapr1-dev
- libaprutil1-dev
- perl-doc
- - lua5.3-dev
+ - liblua5.3-dev
- libbrotli-dev
- libcurl4-openssl-dev
- libsystemd-dev
@@ -158,7 +158,7 @@ jobs:
- libapr1-dev
- libaprutil1-dev
- perl-doc
- - lua5.3-dev
+ - liblua5.3-dev
- libbrotli-dev
- libcurl4-openssl-dev
- libsystemd-dev
@@ -180,7 +180,7 @@ jobs:
- libapr1-dev
- libaprutil1-dev
- perl-doc
- - lua5.3-dev
+ - liblua5.3-dev
- libbrotli-dev
- libcurl4-openssl-dev
- libsystemd-dev
@@ -285,7 +285,7 @@ jobs:
- libapr1-dev
- libaprutil1-dev
- perl-doc
- - lua5.3-dev
+ - liblua5.3-dev
- libbrotli-dev
- libcurl4-openssl-dev
- libsystemd-dev

Modified: httpd/httpd/branches/2.4.x/test/travis_run_linux.sh
URL: http://svn.apache.org/viewvc/httpd/httpd/branches/2.4.x/test/travis_run_linux.sh?rev=1885628&r1=1885627&r2=1885628&view=diff
==============================================================================
--- httpd/httpd/branches/2.4.x/test/travis_run_linux.sh (original)
+++ httpd/httpd/branches/2.4.x/test/travis_run_linux.sh Sun Jan 17 22:46:45 2021
@@ -81,6 +81,9 @@ if ! test -v SKIP_TESTING; then
export ASAN_OPTIONS="log_path=$PWD/asan.log"
fi

+ # Try to keep all potential coredumps from all processes
+ sudo sysctl -w kernel.core_uses_pid=1 2>/dev/null || true
+
if test -v WITH_TEST_SUITE; then
make check TESTS="${TESTS}" TEST_CONFIG="${TEST_ARGS}"
RV=$?
@@ -95,7 +98,7 @@ if ! test -v SKIP_TESTING; then

# Skip further testing if a core dump was created during the test
# suite run above.
- if test $RV -eq 0 -a -f test/perl-framework/t/core; then
+ if test $RV -eq 0 && ls test/perl-framework/t/core test/perl-framework/t/core.* &>/dev/null; then
RV=4
fi

@@ -157,6 +160,10 @@ if ! test -v SKIP_TESTING; then
gdb -ex 'thread apply all backtrace' -batch ./httpd test/perl-framework/t/core
RV=5
fi
+ for core in test/perl-framework/t/core.*; do
+ gdb -ex 'thread apply all backtrace' -batch ./httpd "$core"
+ RV=5
+ done

exit $RV
fi